vgp.discrete.harmonic

## Class PjHarmonic

- java.lang.Object
- - jv.object.PsObject
  - - jv.project.PjProject
    - - vgp.discrete.harmonic.PjHarmonic

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, PsTimeListenerIf, PsUpdateIf, PvPickListenerIf

      public class PjHarmonic
      extends PjProject
      implements java.awt.event.ActionListener

  Project for computing harmonic maps on triangulated surfaces. Initial geometry is loaded via project `PjImportModel` or may be set from external projects.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    02.01.02, 2.10 revised (ep) Now ActionListener of PjImportModel.
    13.05.99, 2.00 revised (kp) Include eigenvalue experiments.
    16.09.98, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjHarmonic()` Construct project instance with default file name.
    `PjHarmonic(java.lang.String fileName)` Construct project instance with given file name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)`
    `java.lang.String` | `getFileName()` Get filename of project geometry.
    `PgHarmonicMap` | `getHarmonicMap()`
    `void` | `init()` Initialize class.
    `void` | `setFileName(java.lang.String fileName)` Set filename of project geometry.
    `boolean` | `setGeometry(PgGeometryIf newGeomIf)` Sets given geometry as project geometry for energy minimization.
    `void` | `setHarmonicMap(PgHarmonicMap harm)`
    `void` | `start()` Start activities.
    `boolean` | `update(java.lang.Object event)` Each time another geometry is loaded, `PjImportModel` calls `update`.

    - ### Methods inherited from class jv.project.PjProject

      `addDisplay, addGeometry, addGeometry, dispose, dragDisplay, dragInitial, dragVertex, fitDisplays, getAnimation, getDisplay, getDisplays, getGeometry, getGeometry, getNumGeometries, getParameter, getParameterInfo, getViewer, hasAnimation, hasDisplay, isEnabledAutoFit, markVertices, pickDisplay, pickInitial, pickVertex, removeDisplay, removeGeometries, removeGeometry, selectDisplay, selectGeometry, setAnimation, setBackColor, setBorderType, setDisplay, setEnabledAutoFit, setParameterInfo, setTime, setViewer, stop, unmarkVertices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.anim.PsTimeListenerIf

      `getName`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Constructor Detail

    - #### PjHarmonic

          public PjHarmonic()

      Construct project instance with default file name.

    - #### PjHarmonic

          public PjHarmonic(java.lang.String fileName)

      Construct project instance with given file name.

  - ### Method Detail

    - #### init

          public void init()

      Initialize class.
      Overrides:
        `init` in class `PjProject`

    - #### start

          public void start()

      Start activities.
      Overrides:
        `start` in class `PjProject`
      See Also:
        `PvViewerIf.start()`, `PjProject.isEnabledAutoFit()`

    - #### getFileName

          public java.lang.String getFileName()

      Get filename of project geometry.

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      Set filename of project geometry.

    - #### update

          public boolean update(java.lang.Object event)

      Each time another geometry is loaded, `PjImportModel` calls `update`.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### getHarmonicMap

          public PgHarmonicMap getHarmonicMap()

    - #### setHarmonicMap

          public void setHarmonicMap(PgHarmonicMap harm)

    - #### setGeometry

          public boolean setGeometry(PgGeometryIf newGeomIf)

      Sets given geometry as project geometry for energy minimization.
      Overrides:
        `setGeometry` in class `PjProject`
      Parameters:
        `newGeomIf` - must be an element set
      Returns:
        false if newGeomIf is no element set

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

"

The software JavaView? is copyright protected. All Rights Reserved.
"